<script setup lang="ts">

const projects = [
  {
    name: 'APIS PARA LA GESTION DE UN SISTEMA DE VENTAS.',
    url: 'https://gitlab.com/JHAN-VEGA/laravel/salesystem',
    color_class: 'pink',
    icon: 'bx bxl-php',
    language: 'php'
  },
  {
    name: 'API CRUD CON AUTENTICACIÓN JWT EN PYTHON CON FASTAPI.',
    url: 'https://gitlab.com/JHAN-VEGA/python/crud-jwt-fastapi',
    color_class: 'yellow',
    icon: 'bx bxl-python',
    language: 'python'
  },
  {
    name: 'INTEGRACIÓN DE LARAVEL Y DOTNET CON JWT.',
    url: 'https://gitlab.com/JHAN-VEGA/gateway/laravel-dotnet',
    color_class: 'teal',
    icon: null,
    language: '.Net'
  },
  {
    name: 'PORTAFOLIO WEB',
    url: 'https://gitlab.com/JHAN-VEGA/nuxt/portfolio',
    color_class: 'blue',
    icon: 'bx bxl-vuejs',
    language: 'JavaScript'
  },
]

</script>

<template>
  <div class="iconbox-blue"></div>
  <section id="portfolio" class="services">
    <div class="container" data-aos="fade-up">
      <div class="section-title">
        <h2>Portafolio</h2>
      </div>

      <div class="row">
        <div class="col-lg-4 col-md-6 d-flex align-items-stretch mt-4"
             data-aos="zoom-in" data-aos-delay="300" v-for="project in projects">
          <div :class="'w-100 icon-box iconbox-' + project.color_class">
            <div class="icon">
              <svg width="100" height="100" viewBox="0 0 600 600" xmlns="http://www.w3.org/2000/svg">
                <path stroke="none" stroke-width="0" fill="#f5f5f5" d="M300,566.797414625762C385.7384707136149,576.1784315230908,478.7894351017131,552.8928747891023,531.9192734346935,484.94944893311C584.6109503024035,417.5663521118492,582.489472248146,322.67544863468447,553.9536738515405,242.03673114598146C529.1557734026468,171.96086150256528,465.24506316201064,127.66468636344209,395.9583748389544,100.7403814666027C334.2173773831606,76.7482773500951,269.4350130405921,84.62216499799875,207.1952322260088,107.2889140133804C132.92018162631612,134.33871894543012,41.79353780512637,160.00259165414826,22.644507872594943,236.69541883565114C3.319112789854554,314.0945973066697,72.72355303640163,379.243833228382,124.04198916343866,440.3218312028393C172.9286146004772,498.5055451809895,224.45579914871206,558.5317968840102,300,566.797414625762"></path>
              </svg>
              <i v-if="project.icon !== null" :class="project.icon"></i>
              <i v-else><small>{{project.language}}</small></i>
            </div>
            <h4>
              <a :href="project.url" target="_blank">{{project.name}}</a>
            </h4>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<style scoped></style>